Bug 241205 - devel/replxx: Update to 0.0.2
Summary: devel/replxx: Update to 0.0.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Raphael Kubo da Costa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-11 22:39 UTC by Goran Mekić
Modified: 2019-10-20 21:35 UTC (History)
3 users (show)

See Also:


Attachments
replxx-0.0.2.diff (898 bytes, patch)
2019-10-11 22:39 UTC, Goran Mekić
meka: maintainer-approval+
Details | Diff
replxx-0.0.2.diff (1.04 KB, patch)
2019-10-17 09:00 UTC, Goran Mekić
meka: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Goran Mekić 2019-10-11 22:39:02 UTC
Created attachment 208252 [details]
replxx-0.0.2.diff
Comment 1 Dmitri Goutnik freebsd_committer 2019-10-12 12:22:09 UTC
Fails stage-qa checks:

====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: lib/libreplxx.so
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.
*** Error code 1
Comment 2 Goran Mekić 2019-10-17 09:00:14 UTC
Created attachment 208378 [details]
replxx-0.0.2.diff

Checked with poudriere. Thank you!
Comment 3 Raphael Kubo da Costa freebsd_committer 2019-10-19 16:45:17 UTC
The update seems to break the math/curv port:

/usr/bin/c++  -DIMGUI_IMPL_OPENGL_LOADER_GLAD -I/wrkdirs/usr/ports/math/curv/work/curv-0.4-127-g3caf3068/. -I/wrkdirs/usr/ports/math/curv/work/curv-0.4-127-g3caf3068/extern/googletest/googletest/include -I/wrkdirs/usr/ports/math/curv/wor
k/curv-0.4-127-g3caf3068/extern/ordered-map/include -I/wrkdirs/usr/ports/math/curv/work/curv-0.4-127-g3caf3068/extern/blosc -I/wrkdirs/usr/ports/math/curv/work/curv-0.4-127-g3caf3068/extern/stb -I/wrkdirs/usr/ports/math/curv/work/curv-0.
4-127-g3caf3068/extern/glad -I/wrkdirs/usr/ports/math/curv/work/curv-0.4-127-g3caf3068/extern/imgui -I/wrkdirs/usr/ports/math/curv/work/curv-0.4-127-g3caf3068/extern/imgui/examples -O2 -pipe -fstack-protector-strong -isystem /usr/local/i
nclude -fno-strict-aliasing  -isystem /usr/local/include -Wall -Wno-unused-result -O2 -pipe -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing  -isystem /usr/local/include   -std=gnu++14 -MD -MT CMakeFiles/curv.dir
/curv/repl.cc.o -MF CMakeFiles/curv.dir/curv/repl.cc.o.d -o CMakeFiles/curv.dir/curv/repl.cc.o -c /wrkdirs/usr/ports/math/curv/work/curv-0.4-127-g3caf3068/curv/repl.cc
/wrkdirs/usr/ports/math/curv/work/curv-0.4-127-g3caf3068/curv/repl.cc:250:49: error: too many arguments to function call, expected single argument 'fn', have 2 arguments
    rx.set_completion_callback(get_completions, static_cast<void*>(&names));
    ~~~~~~~~~~~~~~~~~~~~~~~~~~                  ^~~~~~~~~~~~~~~~~~~~~~~~~~
/usr/local/include/replxx.hxx:348:2: note: 'set_completion_callback' declared here
        void set_completion_callback( completion_callback_t const& fn );
        ^
/wrkdirs/usr/ports/math/curv/work/curv-0.4-127-g3caf3068/curv/repl.cc:251:46: error: too many arguments to function call, expected single argument 'fn', have 2 arguments
    rx.set_highlighter_callback(color_input, static_cast<void*>(sys));
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~              ^~~~~~~~~~~~~~~~~~~~~~~
/usr/local/include/replxx.hxx:354:2: note: 'set_highlighter_callback' declared here
        void set_highlighter_callback( highlighter_callback_t const& fn );
        ^
Comment 4 Yuri Victorovich freebsd_committer 2019-10-19 23:05:21 UTC
(In reply to Raphael Kubo da Costa from comment #3)

Raphael,

I've updated math/curv to the latest revision.

Please retest and if it still breaks report it as a bug to them.


Best,
Yuri
Comment 5 Raphael Kubo da Costa freebsd_committer 2019-10-20 19:01:18 UTC
Hi Yuri. The port still breaks after the update to 0.4-333:

/wrkdirs/usr/ports/math/curv/work/curv-0.4-333-ga9a63930/curv/repl.cc:147:12: error: no viable conversion from returned value of type 'vector<std::string>' to function return type 'vector<replxx::Replxx::Complet
ion>'
    return names->completions(context.substr(index));
           ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/usr/include/c++/v1/vector:558:5: note: candidate constructor not viable: no known conversion from 'std::vector<std::string>' (aka 'vector<basic_string<char, char_traits<char>, allocator<char> > >') to 'const st
d::__1::vector<replxx::Replxx::Completion, std::__1::allocator<replxx::Replxx::Completion> > &' for 1st argument
    vector(const vector& __x);
    ^
/usr/include/c++/v1/vector:565:5: note: candidate constructor not viable: no known conversion from 'std::vector<std::string>' (aka 'vector<basic_string<char, char_traits<char>, allocator<char> > >') to 'initiali
zer_list<std::__1::vector<replxx::Replxx::Completion, std::__1::allocator<replxx::Replxx::Completion> >::value_type>' (aka 'initializer_list<replxx::Replxx::Completion>') for 1st argument
    vector(initializer_list<value_type> __il);
    ^
/usr/include/c++/v1/vector:571:5: note: candidate constructor not viable: no known conversion from 'std::vector<std::string>' (aka 'vector<basic_string<char, char_traits<char>, allocator<char> > >') to 'std::__1
::vector<replxx::Replxx::Completion, std::__1::allocator<replxx::Replxx::Completion> > &&' for 1st argument
    vector(vector&& __x)
    ^
/wrkdirs/usr/ports/math/curv/work/curv-0.4-333-ga9a63930/curv/repl.cc:329:49: error: too many arguments to function call, expected single argument 'fn', have 2 arguments
    rx.set_completion_callback(get_completions, static_cast<void*>(&names));
    ~~~~~~~~~~~~~~~~~~~~~~~~~~                  ^~~~~~~~~~~~~~~~~~~~~~~~~~
/usr/local/include/replxx.hxx:348:2: note: 'set_completion_callback' declared here
        void set_completion_callback( completion_callback_t const& fn );
        ^
/wrkdirs/usr/ports/math/curv/work/curv-0.4-333-ga9a63930/curv/repl.cc:330:46: error: too many arguments to function call, expected single argument 'fn', have 2 arguments
    rx.set_highlighter_callback(color_input, static_cast<void*>(sys));
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~              ^~~~~~~~~~~~~~~~~~~~~~~
/usr/local/include/replxx.hxx:354:2: note: 'set_highlighter_callback' declared here
        void set_highlighter_callback( highlighter_callback_t const& fn );
        ^
3 errors generated.
Comment 6 Yuri Victorovich freebsd_committer 2019-10-20 19:46:00 UTC
(In reply to Raphael Kubo da Costa from comment #5)

I can't fix this, since this is the incompatibility of the upstream version.
You should notify the upstream of the problem. They might be able to fix it in a reasonable time.
Comment 7 commit-hook freebsd_committer 2019-10-20 21:06:44 UTC
A commit references this bug:

Author: yuri
Date: Sun Oct 20 21:05:44 UTC 2019
New revision: 515067
URL: https://svnweb.freebsd.org/changeset/ports/515067

Log:
  math/curv: Enabled the bundled version of REPLxx due to incompatibilities, see the cited PR

  PR:		241205
  Pointed out by:	dmgk

Changes:
  head/math/curv/Makefile
  head/math/curv/distinfo
  head/math/curv/files/patch-CMakeLists.txt
Comment 8 commit-hook freebsd_committer 2019-10-20 21:32:47 UTC
A commit references this bug:

Author: rakuco
Date: Sun Oct 20 21:32:14 UTC 2019
New revision: 515071
URL: https://svnweb.freebsd.org/changeset/ports/515071

Log:
  Update to 0.0.2.

  PR:		241205
  Submitted by:	Goran Meki? <meka@tilda.center> (maintainer)

Changes:
  head/devel/replxx/Makefile
  head/devel/replxx/distinfo
Comment 9 Raphael Kubo da Costa freebsd_committer 2019-10-20 21:35:29 UTC
Thanks, everyone. Patch committed.